//Open Options on first install
chrome.runtime.onInstalled.addListener(function(install){
  if(install.reason == 'install') {
    chrome.runtime.openOptionsPage();
  }
});

//Set Tooltip on startup
chrome.runtime.onStartup.addListener(function(){
  var URL = '';
  chrome.storage.local.get('url', function(result){
    if(result.url) {
      URL = result.url;
    }
    else {
      URL = "https://www.google.com";
    }
    chrome.browserAction.setTitle({'title': URL});
  });
});

//Open tab on button click
chrome.browserAction.onClicked.addListener(function(activeTab){
  var URL = '';
  chrome.storage.local.get('url', function(result){
    if(result.url) {
      URL = result.url;
    }
    else {
      URL = "https://www.google.com";
    }
    chrome.tabs.create({ "url": URL });
  });
});